Help with jailbreaking and Cydia for iPhones, iPads, and iPod touches.

How to jailbreak iOS 7.1-7.1.2 (using Pangu) or iOS 7.0-7.0.6 (using evasi0n7). How to jailbreak iOS 6.0-6.1.6.
Before asking a question, check Frequently Asked Questions to find quick answers!
How to fix some mysterious problems. If you'd like to ask for live help, you can join our chat room.

I have an iphone 3G with version 4.2.1 and 5.15.4 baseband. It's unlocked and jailbroken but no SIM card. I'm unable to get/use most newer apps because they require 4.3 or above. I don't have any higher SHSH Blobs to stitch into a custom ISPW file. Is there a way to upgrade beyond 4.2.1? Or to install/run apps requiring 4.3 or higher?

The Dev-Team blog titled "Untethered Holidays" posted 12 months ago Updates #5b and #5c states:

"Version b5b fixes an issue with using custom ramdisks on iPhone3G and iPod2G, and version b5c prevents redsn0w from crashing due to the ever-growing ramdisk size :). TIP: If auto-detection fails and redsn0w tells you no identifying data was found, you can always pre-select the appropriate 5.0.1 IPSW using “Extras->Select IPSW”."

Does that mean that redsn0w has a 5.0.1 IPSW file customized for a iphone 3G? Is that a way to upgrade beyond 4.2.1?

asked 25 Dec '12, 05:42

jzeiszle's gravatar image

jzeiszle
11112

closed 26 May '13, 14:55

spockers's gravatar image

spockers ♦♦
60.2k338550

The question has been closed for being "spam quota met, thanks!" by spockers, 26 May '13, 14:55


No, there is nothing beyond 4.2.1 for a 3G iphone. Redsn0w makes ramdisks for all versions, that issue affected 3G ramdisks for the supported versions.

There is no ios beyond 4.2.1 released by apple for a 3G

The "TIP" is for 3GS/4 users, not for 3G users

link

answered 25 Dec '12, 05:43

theiphoneguy's gravatar image

theiphoneguy ♦
37.4k54918

edited 25 Dec '12, 05:45

I figured. Is there anyway to run "4.3" apps at all?

(25 Dec '12, 06:11) jzeiszle jzeiszle's gravatar image

no

(25 Dec '12, 06:13) theiphoneguy ♦ theiphoneguy's gravatar image

Thank you.

(25 Dec '12, 06:17) jzeiszle jzeiszle's gravatar image

Hello jzeiszle, among others in the following post "iphone 3g for window jailbreak 4.2.1 05.15.04 i need to no the right red snow software and need help knowing what to do step by step." of the forum 29/11/2012. Curly420 answered all the steps to go beyond 4.2.1. on a 3G (8C148) baseband 05.15.04. 1 Get redsn0w .9.15b3 Make sure you have the 4.2.1 IPSW. ... 6 You will come to checkboxes, make sure "install Cydia" is selected. 7 Follow redsn0w's directions.

But with me it doesn't works however it seems that it should work. So I'm not sure whether theiphoneguy is right when he saying that it's not possible.

So persevere to find a solution because I'm persuaded that it's possible just to know how to do it properly.

link

answered 30 Dec '12, 07:31

esteb's gravatar image

esteb
11112

I haven't been able to find a way to upgrade my iphone 3g from 4.2 to 4.3 ios. I have found a video that shows how to 'trick' the app store into allowing 4.3 apps to be installed on the iphone 3g. It does not change the IOS and it only works on some of the apps (most of the time NOT). It also stops new 4.2 apps from being installed because it tries to use the 4.3 version instead (which usually fails and you can't even get an older version) It's a pain but if you HAVE to HAVE it here is the link: http://www.youtube.com/watch?v=g4sRZOrWd-o Good Luck. I'm looking into to stitching in SHSH blobs and using a custom ISPW but it doesn't look good.

(30 Dec '12, 11:46) jzeiszle jzeiszle's gravatar image

this thread?

I never said you can go above 4.2.1

(30 Dec '12, 12:39) cybr1d ♦ cybr1d's gravatar image

I never claimed to be able to upgrade an iphone 3g above 4.2.1 It's NOT POSSIBLE because the architecture isn't the same. I've been trying to figure out a way to utilize some of the newer apps. They all require 4.3 or higher. It really bites that Apple has left iphone 3G users with no other option but to purchase another iphone. How long will it be before Apple drops another platform?

(30 Dec '12, 14:17) jzeiszle jzeiszle's gravatar image

You can't because ARMv6 support was dropped in 4.3, so even if you could get the 4.3 kernel on your device, it wouldn't run. That's also why if you fake your version to 4.3, some apps will crash because they are using invalid opcodes.

link

answered 30 Dec '12, 12:32

acfrazier's gravatar image

acfrazier
171115

I figured something like that was happening. It caused more harm then good. I was able to force a couple of newer apps to run but ended up losing many older apps. I won't pursue this any further. Thank you all for entertaining this folly as long as you have.

(30 Dec '12, 14:26) jzeiszle jzeiszle's gravatar image

Hello Curly420, with your post dated 29/11/12 I should at least be able to install Cydia and even that it doesn't works with me. Any further help is welcome. Thanks.

(03 Jan '13, 14:23) esteb esteb's gravatar image
-1

alt text

Forward complaints to Fly_caster@wavecable.com

link

answered 26 May '13, 01:07

Bstslr's gravatar image

Bstslr
-191

edited 26 May '13, 14:55

spockers's gravatar image

spockers ♦♦
60.2k338550

There is?

(26 May '13, 02:21) mikewsw17 mikewsw17's gravatar image
-1

alt text

Forward complaints to Fly_caster@wavecable.com

link

answered 26 May '13, 11:45

Bstslr's gravatar image

Bstslr
-191

edited 26 May '13, 14:55

spockers's gravatar image

spockers ♦♦
60.2k338550

-1

alt text

Forward complaints to Fly_caster@wavecable.com

link

answered 26 May '13, 11:47

Bstslr's gravatar image

Bstslr
-191

edited 26 May '13, 14:55

spockers's gravatar image

spockers ♦♦
60.2k338550

Markdown Basics

  • *italic* or _italic_
  • **bold** or __bold__
  • link:[text](http://url.com/ "Title")
  • image?![alt text](/path/img.jpg "Title")
  • numbered list: 1. Foo 2. Bar
  • to add a line break simply add two spaces to where you would like the new line to be.
  • basic HTML tags are also supported

Tags:

×374
×5
×1

Asked: 25 Dec '12, 05:42

Seen: 65,982 times

Last updated: 26 May '13, 14:55

JailbreakQA is by chpwn and comex.
About JailbreakQA. Powered by OSQA.